/**
 * Template: storefront
 *
 * Theme Name: Bilbao
 * Description: Tema desenvolvido para a loja online da Bilbao
 *
 * Version: 1.0.0
 * Author: Talbot
 * Author URI: https://talbot.cx/
 */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --color-primary-text: #EEEEEE;
    --color-primary-background: #2c160b;
}

html,
body {
    font-size: 10px;
    line-height: 1.4;
}

body,
input,
button,
textarea {
    font-family: 'Montserrat';
}


/** search-field **/

.bilbao .search-field {
    color: #818181;
    background: #F0F0F0;

    font-size: 1.4rem;
    font-weight: 400;
    line-height: 2.0rem;

    padding: 1.2rem 1.6rem;
    box-shadow: none;
    border-radius: 6.0rem;
}


/** site-header **/

.bilbao .site-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2.5rem 10rem;
}

.bilbao .site-header .site-search {
    float: none;
    width: 36.0rem;
    margin: 0;
}

.bilbao .site-header .site-search form:before {
    color: #818181;

    top: 1rem;
    left: 1.6rem;
    padding: 0.2rem;

    font-size: 2.0rem;
}

.bilbao .site-header .site-search form .search-field {
    padding: 1.2rem 1.6rem;
    padding-left: calc(1.6rem + 2.4rem + 1.2rem);
    line-height: 2.0rem;
}

.bilbao .site-header .site-branding {
    float: none;
    width: 13.5rem;
    margin: -2rem auto 0;
}

.bilbao .site-header .site-branding img {
    width: 13.5rem;
}

.bilbao .site-header .main-navigation {
    order: -1;
    float: none;
    width: auto;
    margin: 0;
}

.bilbao .site-header .site-header-cart {
    float: none;
    width: auto;
    margin: 0 0 0 3.2rem;
}

.bilbao .site-header .site-header-cart .cart-contents {
    padding: 0;
}

.bilbao .site-header .site-header-cart .cart-contents::after {
    height: auto;
    content: '\f07a';
    font-size: 2.8rem;
}

.bilbao .site-header .site-header-cart .cart-contents .amount {
    display: none;
}


/** store-notice **/

.bilbao .woocommerce-store-notice {
    color: var(--color-primary-text);
    background: var(--color-primary-background);

    font-size: 1.4rem;
    font-weight: 400;

    padding: 0.9rem;
    position: static;

    text-align: center;
}

.bilbao .woocommerce-store-notice:before {
    display: none
}

.bilbao .woocommerce-store-notice a {
    font-weight: 700;
    text-decoration: none;
}

.bilbao .woocommerce-store-notice a.woocommerce-store-notice__dismiss-link {
    overflow: hidden;
    background: transparent;

    width: 3rem;
    margin: -0.9rem 0 0;
    padding: 0;

    font-size: 1.3rem;
    white-space: nowrap;
}

.bilbao .woocommerce-store-notice a.woocommerce-store-notice__dismiss-link:before {
    content: '\f00d';
    margin: 0;
    padding: 1rem 1.1rem;
}

@media (any-hover: hover) {
    .bilbao .woocommerce-store-notice a:hover {
        text-decoration: underline;
    }
}
